Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package transform
  Definition Classes
    nsc
-  package patmat
  Definition Classes
    transform
-  trait MatchTreeMaking extends MatchCodeGen with Debugging

  Translate our IR (TreeMakers) into actual Scala Trees using the factory methods in MatchCodeGen.

  Translate our IR (TreeMakers) into actual Scala Trees using the factory methods in MatchCodeGen.

  The IR is mostly concerned with sequencing, substitution, and rendering all necessary conditions, mostly agnostic to whether we're in optimized/pure (virtualized) mode.

  Definition Classes
    patmat
-  trait TreeMakers extends TypedSubstitution with CodegenCore
  Definition Classes
    MatchTreeMaking
-  object TypeTestTreeMaker extends java.io.Serializable
  Definition Classes
    TreeMakers
- TypeTestCondStrategy
- pureTypeTestChecker
- treeCondStrategy

o

scala.tools.nsc.transform.patmat.MatchTreeMaking.TreeMakers.TypeTestTreeMaker

# treeCondStrategy

###

#### object treeCondStrategy extends TypeTestCondStrategy

Source
  MatchTreeMaking.scala

Linear Supertypes
TypeTestCondStrategy, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. treeCondStrategy
2. TypeTestCondStrategy
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  type Result = Global.Tree
   Definition Classes
     treeCondStrategy → TypeTestCondStrategy

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def and(a: Result, b: Result): Result
   Definition Classes
     treeCondStrategy → TypeTestCondStrategy
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def eqTest(pat: Global.Tree, testedBinder: Global.Symbol): Global.Apply
   Definition Classes
     treeCondStrategy → TypeTestCondStrategy
9.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
10.  def equalsTest(pat: Global.Tree, testedBinder: Global.Symbol): Global.Tree
    Definition Classes
      treeCondStrategy → TypeTestCondStrategy
11.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
12.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
15.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  def nonNullTest(testedBinder: Global.Symbol): Global.Apply
    Definition Classes
      treeCondStrategy → TypeTestCondStrategy
17.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
20.  def toString(): String
    Definition Classes
      AnyRef → Any
21.  def tru: Global.Literal
    Definition Classes
      treeCondStrategy → TypeTestCondStrategy
22.  def typeTest(testedBinder: Global.Symbol, expectedTp: Global.Type): Global.Tree
    Definition Classes
      treeCondStrategy → TypeTestCondStrategy
23.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
24.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
25.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
26.  def withOuterTest(orig: Global.Tree)(testedBinder: Global.Symbol, expectedTp: Global.Type): Global.Tree
    Definition Classes
      treeCondStrategy → TypeTestCondStrategy

### Inherited from TypeTestCondStrategy

### Inherited from AnyRef

### Inherited from Any

### Ungrouped